CVC4::SharedChannel< T > Class Template Referenceabstract

`#include <channel.h>`

Inheritance diagram for CVC4::SharedChannel< T >:
[legend]

## Public Member Functions

| SharedChannel ()
| SharedChannel (int maxsize)
virtual | ~SharedChannel ()
virtual bool | push (const T &)=0
virtual T | pop ()=0
virtual bool | empty ()=0
virtual bool | full ()=0

## Detailed Description

template<typename T>
class CVC4::SharedChannel< T >

Definition at line 34 of file channel.h.

## Constructor & Destructor Documentation

## SharedChannel() [1/2]

template<typename T >

CVC4::SharedChannel< T >::SharedChannel | ( |  | ) |

inline

Definition at line 38 of file channel.h.

## SharedChannel() [2/2]

template<typename T >

CVC4::SharedChannel< T >::SharedChannel | ( | int | maxsize | ) |

inline

Definition at line 39 of file channel.h.

## ~SharedChannel()

template<typename T >

virtual CVC4::SharedChannel< T >::~SharedChannel | ( |  | ) |

inlinevirtual

Definition at line 40 of file channel.h.

## Member Function Documentation

## empty()

template<typename T >

virtual bool CVC4::SharedChannel< T >::empty | ( |  | ) |

pure virtual

Implemented in CVC4::SynchronizedSharedChannel< T >.

## full()

template<typename T >

virtual bool CVC4::SharedChannel< T >::full | ( |  | ) |

pure virtual

Implemented in CVC4::SynchronizedSharedChannel< T >.

## pop()

template<typename T >

virtual T CVC4::SharedChannel< T >::pop | ( |  | ) |

pure virtual

Implemented in CVC4::SynchronizedSharedChannel< T >.

## push()

template<typename T >

virtual bool CVC4::SharedChannel< T >::push | ( | const T & |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- src/util/channel.h